Bug 1017342 - SELinux policy denies write access to lock file upon dirsrv upgrade
SELinux policy denies write access to lock file upon dirsrv upgrade
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 12:44 EDT by Adam Young
Modified: 2015-02-17 12:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:35:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Young 2013-10-09 12:44:38 EDT
Description of problem:
as part of FreeIPA, DS fails to restart upon upgrade.  

Version-Release number of selected component (if applicable):


How reproducible:
?

Steps to Reproduce:
1. Install F19 and run freeipa server
2. Yum update and Reboot machine

Upgrade was to this version:
389-ds-base-1.3.1.11-1.fc19.x86_64 

Actual results:

Log file shows

[09/Oct/2013:16:19:45 +0000] - Shutting down due to possible conflicts with other slapd processes


[09/Oct/2013:16:22:25 +0000] - Error - Unable to create /var/lock/dirsrv/slapd-OPENSTACK-FREEIPA-ORG/imports, Netscape Portable Runtime error -5966 (Access Denied.)



Expected results:


Additional info:
Comment 1 Adam Young 2013-10-09 12:46:54 EDT
Was able to work around the problem with:

ausearch -m avc -ts recent | audit2allow  -M ds-lock
semodule -i ds-lock.pp



the AVC shown by 
ausearch -m avc -ts recent | audit2allow 
was 

allow dirsrv_t var_lock_t:dir create;
Comment 2 Rich Megginson 2013-10-09 12:48:52 EDT
Is this something we need to add to the selinux policy, to allow ns-slapd to create/write to the /var/lock/dirsrv symlinked directories?
Comment 3 Nathan Kinder 2013-10-09 12:51:48 EDT
I'm not sure why the lock directory is var_lock_t.  It should be dirsrv_var_lock_t:

[root@localhost ~]# ls -lZ /var/lock/dirsrv
drwxrwx---. nobody nobody unconfined_u:object_r:dirsrv_var_lock_t:s0 slapd-localhost
Comment 4 Rich Megginson 2013-11-20 13:06:06 EST
What is the status of this bug?  Do we need to clone it for selinux-policy?
Comment 5 Nathan Kinder 2013-11-20 19:35:15 EST
(In reply to Rich Megginson from comment #4)
> What is the status of this bug?  Do we need to clone it for selinux-policy?

I think we need to see if it is reproducible first.

It's possible that this is related to the recent tmpfiles.d changes where we create /run/lock/dirsrv instead of /var/lock/dirsrv.  This might require an additional fcontext setting.
Comment 6 Fedora End Of Life 2015-01-09 15:10:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 12:35:14 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.